### Function

# Babl new_palette

#### Declaration [src]

    const Babl*
    babl_new_palette (
      const char* name,
      const Babl** format_u8,
      const Babl** format_u8_with_alpha
    )

#### Description [src]

Create a new palette based format, name is optional pass in NULL to get an anonymous format. If you pass in with_alpha the format also gets an 8bit alpha channel. Returns the BablModel of the color model. If you pass in the same name the previous formats will be provided again.

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format_u8`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

`format_u8_with_alpha`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.